import 'package:flutter/material.dart';
import 'package:tm_app/core/theme/colors.dart';
import 'package:tm_app/core/utils/size_config.dart';

class InfoItem extends StatelessWidget {
  const InfoItem({required this.title, required this.value, super.key});

  final String title;
  final String value;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 0),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(
            height: 45.0.h(),
            child: Text(
              title,
              style: TextStyle(
                color: AppColors.grey80,
                fontWeight: FontWeight.w600,
                fontSize: 16.0.sp(),
              ),
            ),
          ),
          Text(
            value,
            style: TextStyle(
              color: AppColors.grey70,
              fontWeight: FontWeight.w400,
              fontSize: 14.0.sp(),
            ),
          ),
          SizedBox(height: 8.0.h()),
          Divider(color: AppColors.grey20,),
        ],
      ),
    );
  }
}
